# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# perl_vendorlib/perl_vendorarch not defined by default prior to F-2
%{!?perl_vendorlib: %global perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)}

# We need to patch the test suite if we have an old version of Test::More
%global old_test_more %(perl -MTest::More -e 'printf "%d\\n", $Test::More::VERSION < 0.88 ? 1 : 0;' 2>/dev/null || echo 0)

# We don't really need ExtUtils::MakeMaker ≥ 6.30
%global old_eumm %(perl -MExtUtils::MakeMaker -e 'printf "%d\\n", $ExtUtils::MakeMaker::VERSION < 6.30 ? 1 : 0;' 2>/dev/null || echo 0)

Name:		perl-Software-License
Version:	0.103004
Release:	1.%{__distinit}%{__distvers}
Summary:	Package that provides templated software licenses
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/Software-License/
Source0:	http://search.cpan.org/CPAN/authors/id/R/RJ/RJBS/Software-License-%{version}.tar.gz
Patch0:		Software-License-0.103003-EU::MM-version.patch
Patch1:		Software-License-0.103001-old-Test::More.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
BuildRequires:	perl(Carp)
BuildRequires:	perl(Data::Section)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Sub::Install)
BuildRequires:	perl(Text::Template)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Test::Pod)
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
Software-License contains templates for common open source software licenses.

%prep
%setup -q -n Software-License-%{version}

# Don't really need ExtUtils::MakeMaker ≥ 6.30
%if %{old_eumm}
%patch0 -p1
%endif

# Compatibility with old Test::More versions
%if %{old_test_more}
%patch1 -p1
%endif

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} \; 2>/dev/null
%{_fixperms} %{buildroot}

%check
make test RELEASE_TESTING=1

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes LICENSE README
%{perl_vendorlib}/Software/
%{_mandir}/man3/Software::License.3pm*
%{_mandir}/man3/Software::License::*.3pm*
%{_mandir}/man3/Software::LicenseUtils.3pm*

%changelog
* Thu Nov  3 2011 Paul Howarth <paul@city-fan.org> 0.103004-1
- Update to 0.103004
  - Update FSF's address (CPAN RT#69359)

* Tue Nov  1 2011 Paul Howarth <paul@city-fan.org> 0.103003-1
- Update to 0.103003
  - Use more direct links to GFDL 1.2 and 1.3
- BR: perl(Carp)
- Update patches to apply cleanly

* Wed Jun 29 2011 Paul Howarth <paul@city-fan.org> 0.103002-2
- Rebuild for perl 5.14.1 in Rawhide
- Fix dist tag for CentOS 6 and Scientific Linux

* Thu Jun  2 2011 Paul Howarth <paul@city-fan.org> 0.103002-1
- Update to 0.103002
  - Add GFDL 1.3
- Update patch for old ExtUtil::MakeMaker versions

* Thu Apr 28 2011 Paul Howarth <paul@city-fan.org> 0.103001-1
- Update to 0.103001
  - Re-import text of GPL 1 and 2 to get new FSF address (CPAN RT#67795)
- Update patch for building with old Test::More versions

* Fri Apr  1 2011 Paul Howarth <paul@city-fan.org> 0.103000-1
- Update to 0.103000
  - Improve method dependency chains
  - Add Custom license to stick the whole license in a file
- Nobody else likes macros for commands

* Sun Dec 12 2010 Paul Howarth <paul@city-fan.org> 0.102341-1
- Update to 0.102341
  - Add note to Artistic 2 that it's GPL compatible

* Mon Aug 23 2010 Paul Howarth <paul@city-fan.org> 0.102340-1
- Update to 0.102340
  - Add PostgreSQL

* Fri Aug 13 2010 Paul Howarth <paul@city-fan.org> 0.102250-1
- Update to 0.102250
  - LGPL_3_0 now includes GPL_3 in its fulltext (CPAN RT #47135)
  - Alter the output of None to look a bit less repetitive

* Wed Jun 23 2010 Paul Howarth <paul@city-fan.org> 0.101600-2
- Rebuild for perl 5.12.1 in Rawhide

* Wed Jun  9 2010 Paul Howarth <paul@city-fan.org> 0.101600-1
- Update to 0.101600
  - Artistic licenses' meta2_name should not have a trailing _0
  - Add the meta2_name method for META.json files in schema v2
  - Added the None and CC0_1_0 licenses for the far ends of the spectrum
  - Up the Test::More prereq
  - Add meta_name to almost all licenses, and add a test
- Enable RELEASE_TESTING and BR: perl(Test::Pod)

* Tue May 11 2010 Paul Howarth <paul@city-fan.org> 0.012-5
- Fix dist tag for RHEL-6 Beta

* Thu Jan 28 2010 Paul Howarth <paul@city-fan.org> 0.012-4
- Import from Fedora

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> 0.012-3
- Rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> 0.012-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jul 22 2009 Daniel P. Berrange <berrange@redhat.com> 0.012-1
- Update to 0.012 release

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> 0.008-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Sep 20 2008 Daniel P. Berrange <berrange@redhat.com> 0.008-3
- Remove explicit requires that duplicate automatic perl deps

* Sat Sep 06 2008 Daniel P. Berrange <berrange@redhat.com> 0.008-2
- Fix description
- Add missing Test::More BR

* Fri Sep 05 2008 Daniel P. Berrange <berrange@redhat.com> 0.008-1
- Specfile autogenerated by cpanspec 1.77
